package cn.superdesk.data.extract.enums.flsc;

/**
 * @author xc
 * @description
 * @date 2023/3/21 15:29
 */
public enum FlscAfterSaleStatusEnum {
    已拒绝(-1, "已拒绝", 4, "售后取消", 3, "已取消"),
    等待商家处理申请(0, "等待商家处理申请", 2, "售后中", 1, "未完成"),
    完成(1, "完成", 3, "售后完成", 2, "已完成"),
    客户取消(-2, "客户取消", 4, "售后取消", 3, "已取消"),
    等待客户退回物品(3, "等待客户退回物品", 2, "售后中", 1, "未完成"),
    客户退回物品等待商家确认收货(4, "客户退回物品等待商家确认收货", 2, "售后中", 1, "未完成"),
    等待客户收货(5, "等待客户收货", 2, "售后中", 1, "未完成"),

    ;
    private Integer code;
    private String desc;
    private Integer opStatusId;// 对应运营中心售后状态id
    private String opStatusDesc;// 对应运营中心售后状态名称
    private Integer opTransactionId;// 对应运营中心交易状态id
    private String opTransactionDesc;// 对应运营中心交易状态名称

    FlscAfterSaleStatusEnum(Integer code, String desc, Integer opStatusId, String opStatusDesc, Integer opTransactionId, String opTransactionDesc) {
        this.code = code;
        this.desc = desc;
        this.opStatusId = opStatusId;
        this.opStatusDesc = opStatusDesc;
        this.opTransactionId = opTransactionId;
        this.opTransactionDesc = opTransactionDesc;
    }

    public static Integer getOpStatusIdByBizStatusId(Integer status) {
        for (FlscAfterSaleStatusEnum value : values()) {
            if (value.getCode().equals(status)) {
                return value.getOpStatusId();
            }
        }
        return null;
    }

    public static String getBizOrderStatusDescByBizId(Integer status) {
        for (FlscAfterSaleStatusEnum value : values()) {
            if (value.getCode().equals(status)) {
                return value.getDesc();
            }
        }
        return null;
    }

    public static Integer getOpTransactionIdByBizId(Integer status) {
        for (FlscAfterSaleStatusEnum value : values()) {
            if (value.getCode().equals(status)) {
                return value.getOpTransactionId();
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getOpStatusId() {
        return opStatusId;
    }

    public String getOpStatusDesc() {
        return opStatusDesc;
    }

    public Integer getOpTransactionId() {
        return opTransactionId;
    }

    public String getOpTransactionDesc() {
        return opTransactionDesc;
    }
}
