package cn.superdesk.data.extract.enums.flsc;

import cn.hutool.core.util.ObjectUtil;

/**
 * @author xc
 * @description
 * @date 2023/3/20 15:14
 */
public enum FlscOrderPayStatusEnum {
    取消状态(-1, "交易关闭", 1, "未支付", 3, "已取消"),
    普通状态(0, "待付款", 1, "未支付", 1, "未完成"),
    买家已付款(1, "待发货", 2, "已支付", 1, "未完成"),
    卖家已发货(2, "卖家已发货", 2, "已支付", 1, "未完成"),
    成功(3, "成功", 2, "已支付", 2, "已完成"),

    ;


    private final Integer code;
    private final String desc;
    private final Integer opStatusId;//对应运营中心状态
    private final String opStatusDesc;//对应运营中心状态名称
    private final Integer opTransactionId;//对应运营中心交易状态id
    private final String opTransactionDesc;//对应运营中心交易状态名称


    FlscOrderPayStatusEnum(Integer id, String desc, Integer opStatus, String opDesc, Integer opTransactionId, String opTransactionDesc) {
        this.code = id;
        this.desc = desc;
        this.opStatusId = opStatus;
        this.opStatusDesc = opDesc;
        this.opTransactionId = opTransactionId;
        this.opTransactionDesc = opTransactionDesc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getOpStatusId() {
        return opStatusId;
    }

    public String getOpStatusDesc() {
        return opStatusDesc;
    }

    public Integer getOpTransactionId() {
        return opTransactionId;
    }

    public String getOpTransactionDesc() {
        return opTransactionDesc;
    }

    public static Integer getOpOrderPayStatusIdByBizId(Integer bizId) {
        for (FlscOrderPayStatusEnum value : values()) {
            if (ObjectUtil.equals(value.getCode(), bizId)) {
                return value.getOpStatusId();
            }
        }
        return 0;
    }

    public static String getBizOrderPayStatusDescByBizId(Integer bizId) {
        for (FlscOrderPayStatusEnum value : values()) {
            if (ObjectUtil.equals(value.getCode(), bizId)) {
                return value.getDesc();
            }
        }
        return "";
    }

    public static Integer getOpTransactionDescByBizId(Integer bizId) {
        for (FlscOrderPayStatusEnum value : values()) {
            if (ObjectUtil.equals(value.getCode(), bizId)) {
                return value.getOpTransactionId();
            }
        }
        return 0;
    }

}
