package cn.superdesk.data.extract.enums.flsc;

import java.util.Objects;

/**
 * @author xc
 * @description
 * @date 2023/3/20 14:37
 */
public enum FlscPayTypeEnum {
    未支付(0, "未支付"),
    余额支付(1, "余额支付"),
    后台支付(11, "后台支付"),
    微信支付(21, "微信支付"),
    组合支付(24, "组合支付"),
    云闪付(25, "云闪付"),
    饭卡支付(26, "饭卡支付"),
    华侨城酒店积分支付(31, "华侨城酒店积分支付"),
    餐卡支付(40, "餐卡支付"),
    餐卡组合支付(41, "餐卡组合支付"),
    ;
    private final Integer code;
    private final String name;


    FlscPayTypeEnum(Integer id, String name) {
        this.code = id;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static String getNameById(Integer id) {
        for (FlscPayTypeEnum value : values()) {
            if (Objects.equals(id, value.getCode())) {
                return value.getName();
            }
        }
        return "";
    }
}
