package cn.superdesk.data.extract.enums.flsc;

import cn.hutool.core.util.ObjectUtil;

/**
 * @author xc
 * @description
 * @date 2023/3/21 09:46
 */
public enum FlscThirdOrderPayStatusEnum {
    普通状态(0, "失败", 1, "未支付", 3, "已取消"),
    买家已付款(1, "成功", 2, "已支付", 2, "已完成"),
    ;


    private final Integer code;
    private final String desc;
    private final Integer opStatusId;//对应运营中心状态
    private final String opStatusDesc;//对应运营中心状态名称
    private final Integer opTransactionId;//对应运营中心交易状态id
    private final String opTransactionDesc;//对应运营中心交易状态名称


    FlscThirdOrderPayStatusEnum(Integer id, String desc, Integer opStatusId, String opStatusDesc, Integer opTransactionId, String opTransactionDesc) {
        this.code = id;
        this.desc = desc;
        this.opStatusId = opStatusId;
        this.opStatusDesc = opStatusDesc;
        this.opTransactionId = opTransactionId;
        this.opTransactionDesc = opTransactionDesc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getOpStatusId() {
        return opStatusId;
    }

    public String getOpStatusDesc() {
        return opStatusDesc;
    }

    public Integer getOpTransactionId() {
        return opTransactionId;
    }

    public String getOpTransactionDesc() {
        return opTransactionDesc;
    }

    public static Integer getOpOrderPayStatusIdByBizId(Integer bizId) {
        for (FlscThirdOrderPayStatusEnum value : values()) {
            if (ObjectUtil.equals(value.getCode(), bizId)) {
                return value.getOpStatusId();
            }
        }
        return 0;
    }

    public static String getBizOrderPayStatusDescByBizId(Integer bizId) {
        for (FlscThirdOrderPayStatusEnum value : values()) {
            if (ObjectUtil.equals(value.getCode(), bizId)) {
                return value.getDesc();
            }
        }
        return "";
    }

    public static Integer getOpTransactionDescByBizId(Integer bizId) {
        for (FlscThirdOrderPayStatusEnum value : values()) {
            if (ObjectUtil.equals(value.getCode(), bizId)) {
                return value.getOpTransactionId();
            }
        }
        return 0;
    }
}
