package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 业务来源
 * @date 2023/3/17 11:21
 */
public enum OpCenterBizSourceEnum {

    福利商城(1, "福利商城"),
    收银(2, "收银"),
    餐厅预订(3, "餐厅预订"),
    楼闪送(4, "楼闪送"),
    代点(5, "代点"),
    周边商户(6, "周边商户"),
    卡劵商城(7, "卡劵商城"),
    友宝智能柜(8, "友宝智能柜"),
    友宝售后机(9, "友宝售后机"),
    管理后台(10, "管理后台"),
    第三方(99, "第三方"),
    ;

    private final Integer code;
    private final String desc;

    OpCenterBizSourceEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    /**
     * 根据code获取desc
     * @return
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterBizSourceEnum opCenterBizSourceEnum : OpCenterBizSourceEnum.values()) {
            if (opCenterBizSourceEnum.getCode().equals(code)) {
                return opCenterBizSourceEnum.getDesc();
            }
        }
        return null;
    }
    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
