package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 订单业务类型
 * @date 2023/3/20 09:20
 */
public enum OpCenterOrderBizTypeEnum {

    订单(1, "订单"),
    售后(2, "售后");

    private final Integer code;
    private final String desc;


    OpCenterOrderBizTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     *
     * @param code
     * @return
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterOrderBizTypeEnum e : OpCenterOrderBizTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.getDesc();
            }
        }
        return null;
    }
}
