package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 订单数据类型
 * @date 2023/3/20 09:42
 */
public enum OpCenterOrderDataTypeEnum {

    原始订单(1, "原始订单"),
    子订单(2, "子订单"),
    ;

    private final Integer code;
    private final String desc;


    OpCenterOrderDataTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     * @param code
     * @return
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterOrderDataTypeEnum e : OpCenterOrderDataTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.getDesc();
            }
        }
        return null;
    }
}
