package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 订单支付状态
 * @date 2023/3/20 15:34
 */
public enum OpCenterOrderPayStatusEnum {
    未支付(1, "未支付"),
    已支付(2, "已支付"),
    未退款(3, "未退款"),
    已退款(4, "已退款"),
    ;

    private final Integer code;
    private final String desc;

    OpCenterOrderPayStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     * @param code
     * @return
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterOrderPayStatusEnum value : OpCenterOrderPayStatusEnum.values()) {
            if (value.getCode().equals(code)) {
                return value.getDesc();
            }
        }
        return null;
    }
}
