package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 订单类型
 * @date 2023/3/17 11:28
 */
public enum OpCenterOrderTypeEnum {
    福利商城("FLSC", "福利商城"),
    卡劵商城("FZS", "卡劵商城"),
    餐厅预订("CTYD", "餐厅预订"),
    楼闪送("LSS", "楼闪送"),
    收款("CASH", "收款"),
    代点("PO", "代点"),
    周边商户("ZBSH", "周边商户"),
    友宝("YOUBAO", "友宝"),
    ;


    private final String code;
    private final String name;

    OpCenterOrderTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    /**
     * 根据code获取name
     */
    public static String getNameByCode(String code) {
        for (OpCenterOrderTypeEnum opCenterOrderTypeEnum : OpCenterOrderTypeEnum.values()) {
            if (opCenterOrderTypeEnum.getCode().equals(code)) {
                return opCenterOrderTypeEnum.getName();
            }
        }
        return null;
    }
}
