package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 售后类型
 * @date 2023/3/20 14:34
 */
public enum OpCenterPlatformAftersaleTypeEnum {

    无(-1, "无售后"),
    退货(0, "退货"),
    换货(1, "换货"),
    维修(2, "维修"),
    退货退款(3, "退货退款"),
    退款(4, "退款"),

    ;
    private final Integer code;
    private final String desc;


    OpCenterPlatformAftersaleTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterPlatformAftersaleTypeEnum type : OpCenterPlatformAftersaleTypeEnum.values()) {
            if (type.getCode().equals(code)) {
                return type.getDesc();
            }
        }
        return null;
    }
}
