package cn.superdesk.data.extract.utils;

import cn.hutool.core.collection.CollectionUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.phprpc.util.PHPSerializer;

import java.util.HashMap;
import java.util.Map;

/**
 * @author xc
 * @description
 * @date 2023/3/13 17:55
 */
@Slf4j
public class PhpDeserializeUtil {

    /**
     *  对php序列化的字符串，进行反序列化 返回map
     */
    public static HashMap<String, String> getDeserialized(String content) {
        PHPSerializer p = new PHPSerializer();
        if (StringUtils.isEmpty(content))
            return new HashMap<>();
        try {
            HashMap<String, byte[]> t = (HashMap) p.unserialize(content.getBytes(), HashMap.class);
            if (CollectionUtil.isEmpty(t.entrySet())) {
                return new HashMap<>();
            }
            HashMap<String, String> res = new HashMap<>();
            for (Map.Entry<String, byte[]> stringEntry : t.entrySet()) {
                res.put(stringEntry.getKey(), new String(stringEntry.getValue()));
            }
            return res;
        }catch (Exception e) {
            log.info("反序列化地址信息失败 content : {}", content);
            return new HashMap<>();
        }

    }
}
