package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_category")
public class FlscShopCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 所属帐号
     */
    @TableField("uniacid")
    private Integer uniacid;

    /**
     * 分类名称
     */
    @TableField("name")
    private String name;

    /**
     * 分类图片
     */
    @TableField("thumb")
    private String thumb;

    /**
     * 上级分类ID,0为第一级
     */
    @TableField("parentid")
    private Integer parentid;

    /**
     * 是否推荐
     */
    @TableField("isrecommand")
    private Integer isrecommand;

    /**
     * 分类介绍
     */
    @TableField("description")
    private String description;

    /**
     * 排序
     */
    @TableField("displayorder")
    private Integer displayorder;

    /**
     * 是否开启
     */
    @TableField("enabled")
    private Boolean enabled;

    /**
     * 是否首页显示
     */
    @TableField("ishome")
    private Integer ishome;

    /**
     * 广告图片
     */
    @TableField("advimg")
    private String advimg;

    /**
     * 广告链接
     */
    @TableField("advurl")
    private String advurl;

    /**
     * 分类是在几级
     */
    @TableField("level")
    private Integer level;

    /**
     * jd_vop_page_num
     */
    @TableField("jd_vop_page_num")
    private Long jdVopPageNum;

    /**
     * 财务代码
     */
    @TableField("fiscal_code")
    private String fiscalCode;

    /**
     * old_shop_cate_id
     */
    @TableField("old_shop_cate_id")
    private Integer oldShopCateId;

    /**
     * 分类类型(1:京东,2:内部,3:严选)
     */
    @TableField("cateType")
    private Integer catetype;

    /**
     * 是否京东分类(0否1是)
     */
    @TableField("is_jd")
    private Integer isJd;

    /**
     * 积分类型
     */
    @TableField("inte_id")
    private String inteId;

    /**
     * 税务编码
     */
    @TableField("tax_code")
    private String taxCode;

    /**
     * 税率 %
     */
    @TableField("tax_rate")
    private BigDecimal taxRate;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;

    // /**
    //  * 是否热销分类（只对一级分类有效）1是 0否
    //  */
    // @TableField("is_hotsale")
    // private Boolean isHotsale;


}
