package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_coupon")
public class FlscShopCoupon implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    @TableField("catid")
    private Integer catid;

    @TableField("couponname")
    private String couponname;

    /**
     * 领取中心显示 0 不 1 显示
     */
    @TableField("gettype")
    private Integer gettype;

    /**
     * 每个限领张数
     */
    @TableField("getmax")
    private Integer getmax;

    /**
     * 消费方式 0 付款使用 1 下单使用
     */
    @TableField("usetype")
    private Integer usetype;

    /**
     * 退回方式 0 不可退回 1 取消订单(未付款) 2.退款可以退回
     */
    @TableField("returntype")
    private Integer returntype;

    /**
     * 背景色
     */
    @TableField("bgcolor")
    private String bgcolor;

    /**
     * 消费满多少可用 0 不限制
     */
    @TableField("enough")
    private BigDecimal enough;

    /**
     * 0 领取后几天有效 1 时间范围
     */
    @TableField("timelimit")
    private Integer timelimit;

    /**
     * 0 优惠券 1 充值券
     */
    @TableField("coupontype")
    private Integer coupontype;

    /**
     * 获得后可使用 0 不限时间 >0 天
     */
    @TableField("timedays")
    private Integer timedays;

    /**
     * 开始时间
     */
    @TableField("timestart")
    private Integer timestart;

    /**
     * 结束时间
     */
    @TableField("timeend")
    private Integer timeend;

    /**
     * 折扣
     */
    @TableField("discount")
    private BigDecimal discount;

    /**
     * 抵扣
     */
    @TableField("deduct")
    private BigDecimal deduct;

    /**
     * 返利方式 0 立减 1 打折 2 返现 （返现 返利 返积分）
     */
    @TableField("backtype")
    private Integer backtype;

    /**
     * 返现
     */
    @TableField("backmoney")
    private String backmoney;

    /**
     * 返积分
     */
    @TableField("backcredit")
    private String backcredit;

    /**
     * 返红包
     */
    @TableField("backredpack")
    private String backredpack;

    /**
     * 返利方式 0 交易完成后（过退款期限自动返利） 1 订单完成后（收货后） 2 订单付款后
     */
    @TableField("backwhen")
    private Integer backwhen;

    /**
     * 缩略图
     */
    @TableField("thumb")
    private String thumb;

    /**
     * 介绍
     */
    @TableField("`desc`")
    private String desc;

    /**
     * 建立时间
     */
    @TableField("createtime")
    private Integer createtime;

    /**
     * 数量 -1 不限制
     */
    @TableField("total")
    private Integer total;

    /**
     * 可用
     */
    @TableField("status")
    private Integer status;

    /**
     * 购买价格
     */
    @TableField("money")
    private BigDecimal money;

    /**
     * 推送描述
     */
    @TableField("respdesc")
    private String respdesc;

    /**
     * 推送图片
     */
    @TableField("respthumb")
    private String respthumb;

    /**
     * 推送标题
     */
    @TableField("resptitle")
    private String resptitle;

    /**
     * 推送地址
     */
    @TableField("respurl")
    private String respurl;

    /**
     * 消耗积分
     */
    @TableField("credit")
    private Integer credit;

    /**
     * 现金
     */
    @TableField("usecredit2")
    private Integer usecredit2;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    @TableField("descnoset")
    private Integer descnoset;

    /**
     * 开始活动关键词
     */
    @TableField("pwdkey")
    private String pwdkey;

    /**
     * 猜中提示语
     */
    @TableField("pwdsuc")
    private String pwdsuc;

    /**
     * 猜错提示语
     */
    @TableField("pwdfail")
    private String pwdfail;

    @TableField("pwdurl")
    private String pwdurl;

    /**
     * 提示语
     */
    @TableField("pwdask")
    private String pwdask;

    @TableField("pwdstatus")
    private Integer pwdstatus;

    /**
     * 每人猜测机会 0 不限制
     */
    @TableField("pwdtimes")
    private Integer pwdtimes;

    /**
     * 猜测次数超出限制提示
     */
    @TableField("pwdfull")
    private String pwdfull;

    /**
     * 口令集
     */
    @TableField("pwdwords")
    private String pwdwords;

    /**
     * 开启口令玩法
     */
    @TableField("pwdopen")
    private Integer pwdopen;

    /**
     * 已获得提示
     */
    @TableField("pwdown")
    private String pwdown;

    /**
     * 退出口令
     */
    @TableField("pwdexit")
    private String pwdexit;

    /**
     * 退出后提示
     */
    @TableField("pwdexitstr")
    private String pwdexitstr;

    /**
     * 排序
     */
    @TableField("displayorder")
    private Integer displayorder;

    /**
     * v2 从平台获取优惠券的回复关键词
     */
    @TableField("pwdkey2")
    private String pwdkey2;

    /**
     * v2 商户ID
     */
    @TableField("merchid")
    private Integer merchid;

    /**
     * v2 是否限制商品 1 限制 0 不限制
     */
    @TableField("limitgoodtype")
    private Boolean limitgoodtype;

    /**
     * v2 是否限制商品分类 1 限制 0 不限制
     */
    @TableField("limitgoodcatetype")
    private Boolean limitgoodcatetype;

    /**
     * v2 限制商品分类ID
     */
    @TableField("limitgoodcateids")
    private String limitgoodcateids;

    /**
     * v2 限制商品ID
     */
    @TableField("limitgoodids")
    private String limitgoodids;

    /**
     * v2 是否限制级别
     */
    @TableField("islimitlevel")
    private Boolean islimitlevel;

    /**
     * v2 限制用户级别
     */
    @TableField("limitmemberlevels")
    private String limitmemberlevels;

    /**
     * v2 限制代理级别
     */
    @TableField("limitagentlevels")
    private String limitagentlevels;

    /**
     * v2 限制合作伙伴级别
     */
    @TableField("limitpartnerlevels")
    private String limitpartnerlevels;

    /**
     * v2 限制区域代理级别
     */
    @TableField("limitaagentlevels")
    private String limitaagentlevels;

    /**
     * v2 主题
     */
    @TableField("tagtitle")
    private String tagtitle;

    /**
     * v2 设置主题颜色
     */
    @TableField("settitlecolor")
    private Boolean settitlecolor;

    /**
     * v2 主题颜色
     */
    @TableField("titlecolor")
    private String titlecolor;

    /**
     * v2 限制打折类型
     */
    @TableField("limitdiscounttype")
    private Boolean limitdiscounttype;

    /**
     * 运营商id
     */
    @TableField("operators_id")
    private Integer operatorsId;

    /**
     * 跳转页面
     */
    @TableField("link")
    private String link;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
