package cn.superdesk.data.extract.entity.flsc;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_dispatch")
public class FlscShopDispatch implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    /**
     * 配送名
     */
    @TableField("dispatchname")
    private String dispatchname;

    /**
     * 配送类型 0 商家 1 自提 （自提设置已经迁移到 store 表里了）
     */
    @TableField("dispatchtype")
    private Integer dispatchtype;

    /**
     * 显示顺序
     */
    @TableField("displayorder")
    private Integer displayorder;

    /**
     * 首费（元）
     */
    @TableField("firstprice")
    private BigDecimal firstprice;

    /**
     * 次费（元）
     */
    @TableField("secondprice")
    private BigDecimal secondprice;

    /**
     * 首重（克）
     */
    @TableField("firstweight")
    private Integer firstweight;

    /**
     * 次重（克）
     */
    @TableField("secondweight")
    private Integer secondweight;

    /**
     * 快递公司名
     */
    @TableField("express")
    private String express;

    /**
     * 区域
     */
    @TableField("areas")
    private String areas;

    /**
     * 自提设置
     */
    @TableField("carriers")
    private String carriers;

    /**
     * 是否显示
     */
    @TableField("enabled")
    private Integer enabled;

    /**
     * 计费方式 0 按重量计费 1 按件计费
     */
    @TableField("calculatetype")
    private Boolean calculatetype;

    /**
     * 首个数
     */
    @TableField("firstnum")
    private Integer firstnum;

    /**
     * 续件个数
     */
    @TableField("secondnum")
    private Integer secondnum;

    /**
     * 首个数运费
     */
    @TableField("firstnumprice")
    private BigDecimal firstnumprice;

    /**
     * 续件数运费
     */
    @TableField("secondnumprice")
    private BigDecimal secondnumprice;

    /**
     * 是否默认
     */
    @TableField("isdefault")
    private Boolean isdefault;

    /**
     * v2 商户ID
     */
    @TableField("shopid")
    private Integer shopid;

    /**
     * v2 店铺ID
     */
    @TableField("merchid")
    private Integer merchid;

    /**
     * v2
     */
    @TableField("nodispatchareas")
    private String nodispatchareas;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
