package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_enterprise_user")
public class FlscShopEnterpriseUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    /**
     * 企业注册ID
     */
    @TableField("regid")
    private Integer regid;

    /**
     * 企业分组ID
     */
    @TableField("groupid")
    private Integer groupid;

    /**
     * 企业分类ID
     */
    @TableField("cateid")
    private Integer cateid;

    @TableField("openid")
    private String openid;

    /**
     * 余额
     */
    @TableField("balance")
    private BigDecimal balance;

    /**
     * 项目id
     */
    @TableField("organization_id")
    private Long organizationId;

    /**
     * 项目名称
     */
    @TableField("organ_name")
    private String organName;

    /**
     * 服务之窗-企业ID
     */
    @TableField("enterprise_id")
    private Long enterpriseId;

    /**
     * 企业编号
     */
    @TableField("enterprise_no")
    private String enterpriseNo;

    /**
     * 企业名
     */
    @TableField("enterprise_name")
    private String enterpriseName;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 实名
     */
    @TableField("realname")
    private String realname;

    /**
     * 手机号
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 状态 1 允许入驻 2 暂停 3 即将到期
     */
    @TableField("status")
    private Integer status;

    /**
     * 帐号表ID
     */
    @TableField("accountid")
    private Integer accountid;

    /**
     * 可以开多少子帐号
     */
    @TableField("accounttotal")
    private Integer accounttotal;

    /**
     * 服务时间，默认1年
     */
    @TableField("accounttime")
    private Integer accounttime;

    /**
     * 审核时间
     */
    @TableField("applytime")
    private Integer applytime;

    /**
     * 加入时间
     */
    @TableField("jointime")
    private Integer jointime;

    /**
     * 自定义数据
     */
    @TableField("diyformdata")
    private String diyformdata;

    /**
     * 自定义字段
     */
    @TableField("diyformfields")
    private String diyformfields;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 企业基础设置
     */
    @TableField("sets")
    private String sets;

    /**
     * 电话
     */
    @TableField("tel")
    private String tel;

    /**
     * 经度
     */
    @TableField("lat")
    private String lat;

    /**
     * 标志
     */
    @TableField("logo")
    private String logo;

    /**
     * 纬度
     */
    @TableField("lng")
    private String lng;

    /**
     * 介绍
     */
    @TableField("`desc`")
    private String desc;

    @TableField("createtime")
    private Integer createtime;

    @TableField("updatetime")
    private Integer updatetime;

    /**
     * 运营商id
     */
    @TableField("operators_id")
    private Integer operatorsId;

    /**
     * 分类
     */
    @TableField("see_category")
    private String seeCategory;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
