package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_goods")
public class FlscShopGoods implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    /**
     * v2 商户ID
     */
    @TableField("merchid")
    private Integer merchid;

    /**
     * 一级分类ID
     */
    @TableField("pcate")
    private Integer pcate;

    /**
     * 二级分类ID
     */
    @TableField("ccate")
    private Integer ccate;

    /**
     * 三级分类ID
     */
    @TableField("tcate")
    private Integer tcate;

    /**
     * 多重分类数据集
     */
    @TableField("cates")
    private String cates;

    /**
     * 一级多重分类
     */
    @TableField("pcates")
    private String pcates;

    /**
     * 二级多重分类
     */
    @TableField("ccates")
    private String ccates;

    /**
     * 三级多重分类
     */
    @TableField("tcates")
    private String tcates;

    /**
     * 类型 1 实体物品 2 虚拟物品 3 虚拟物品(卡密) 4 批发 10 话费流量充值 20 充值卡
     */
    @TableField("type")
    private Integer type;

    /**
     * 状态 0 下架 1 上架 2 赠品上架
     */
    @TableField("status")
    private Boolean status;

    /**
     * 显示顺序
     */
    @TableField("displayorder")
    private Integer displayorder;

    /**
     * 商品名称
     */
    @TableField("title")
    private String title;

    /**
     * 商品图
     */
    @TableField("thumb")
    private String thumb;

    /**
     * 商品单位
     */
    @TableField("unit")
    private String unit;

    /**
     * 分享描述
     */
    @TableField("description")
    private String description;

    /**
     * 商品详情
     */
    @TableField("content")
    private String content;

    /**
     * 商品编号
     */
    @TableField("goodssn")
    private String goodssn;

    /**
     * 商品条码
     */
    @TableField("productsn")
    private String productsn;

    /**
     * 商品原价
     */
    @TableField("productprice")
    private BigDecimal productprice;

    /**
     * 商品现价
     */
    @TableField("marketprice")
    private BigDecimal marketprice;

    /**
     * 商品成本
     */
    @TableField("costprice")
    private BigDecimal costprice;

    /**
     * 建议销售价（京东主站）
     */
    @TableField("suggestprice")
    private BigDecimal suggestprice;

    /**
     * 京东预警差价
     */
    @TableField("suggestdiff")
    private BigDecimal suggestdiff;

    /**
     * jd更新时间
     */
    @TableField("suggesttime")
    private Long suggesttime;

    /**
     * 原价 好象已经废弃
     */
    @TableField("originalprice")
    private BigDecimal originalprice;

    /**
     * 商品库存
     */
    @TableField("total")
    private Integer total;

    /**
     * 减库存方式 0 拍下减库存 1 付款减库存 2 永不减库存
     */
    @TableField("totalcnf")
    private Integer totalcnf;

    /**
     * 已出售数
     */
    @TableField("sales")
    private Integer sales;

    /**
     * 实际售出数
     */
    @TableField("salesreal")
    private Integer salesreal;

    /**
     * 商品规格设置
     */
    @TableField("spec")
    private String spec;

    /**
     * 重量(单位g)
     */
    @TableField("weight")
    private BigDecimal weight;

    /**
     * 购买赠送积分，如果带%号，则为按成交价比例计算
     */
    @TableField("credit")
    private String credit;

    /**
     * 单次最多购买量
     */
    @TableField("maxbuy")
    private Integer maxbuy;

    /**
     * 用户最多购买量
     */
    @TableField("usermaxbuy")
    private Integer usermaxbuy;

    /**
     * 启用商品规则 0 不启用 1 启用
     */
    @TableField("hasoption")
    private Integer hasoption;

    /**
     * 配送
     */
    @TableField("dispatch")
    private Integer dispatch;

    /**
     * 缩略图地址
     */
    @TableField("thumb_url")
    private String thumbUrl;

    /**
     * 新上
     */
    @TableField("isnew")
    private Boolean isnew;

    /**
     * 热卖
     */
    @TableField("ishot")
    private Boolean ishot;

    /**
     * 促销
     */
    @TableField("isdiscount")
    private Boolean isdiscount;

    /**
     * 推荐
     */
    @TableField("isrecommand")
    private Boolean isrecommand;

    /**
     * 包邮
     */
    @TableField("issendfree")
    private Boolean issendfree;

    /**
     * 限时卖
     */
    @TableField("istime")
    private Boolean istime;

    /**
     * 允许评价
     */
    @TableField("iscomment")
    private Boolean iscomment;

    /**
     * 限卖开始时间
     */
    @TableField("timestart")
    private Integer timestart;

    /**
     * 限卖结束时间
     */
    @TableField("timeend")
    private Integer timeend;

    /**
     * 查看次数
     */
    @TableField("viewcount")
    private Integer viewcount;

    /**
     * 是否有分销
     */
    @TableField("hascommission")
    private Integer hascommission;

    /**
     * 一级分销比率
     */
    @TableField("commission1_rate")
    private BigDecimal commission1Rate;

    /**
     * 一级分销固定佣金
     */
    @TableField("commission1_pay")
    private BigDecimal commission1Pay;

    /**
     * 二级分销比率
     */
    @TableField("commission2_rate")
    private BigDecimal commission2Rate;

    /**
     * 二级分销固定佣金
     */
    @TableField("commission2_pay")
    private BigDecimal commission2Pay;

    /**
     * 三级分销比率
     */
    @TableField("commission3_rate")
    private BigDecimal commission3Rate;

    /**
     * 三级分销固定佣金
     */
    @TableField("commission3_pay")
    private BigDecimal commission3Pay;

    /**
     * 得分 好象已经废弃
     */
    @TableField("score")
    private BigDecimal score;

    /**
     * 淘宝ID 淘宝助手
     */
    @TableField("taobaoid")
    private String taobaoid;

    /**
     * 淘宝ID 淘宝助手
     */
    @TableField("taotaoid")
    private String taotaoid;

    /**
     * 淘宝网址 淘宝助手
     */
    @TableField("taobaourl")
    private String taobaourl;

    /**
     * 分享标题
     */
    @TableField("share_title")
    private String shareTitle;

    /**
     * 分享图标
     */
    @TableField("share_icon")
    private String shareIcon;

    /**
     * 货到付款 1 不支持 2 支持
     */
    @TableField("cash")
    private Integer cash;

    /**
     * 海报图片
     */
    @TableField("commission_thumb")
    private String commissionThumb;

    /**
     * 不参与会员折扣
     */
    @TableField("isnodiscount")
    private Integer isnodiscount;

    /**
     * 浏览权限
     */
    @TableField("showlevels")
    private String showlevels;

    /**
     * 购买权限
     */
    @TableField("buylevels")
    private String buylevels;

    /**
     * 会员组浏览权限
     */
    @TableField("showgroups")
    private String showgroups;

    /**
     * 会员组购买权限
     */
    @TableField("buygroups")
    private String buygroups;

    /**
     * 支持线下核销 Null 0 1 不支持 2 支持
     */
    @TableField("isverify")
    private Integer isverify;

    /**
     * 支持门店ID
     */
    @TableField("storeids")
    private String storeids;

    /**
     * 商家通知
     */
    @TableField("noticeopenid")
    private String noticeopenid;

    /**
     * 提醒类型
     */
    @TableField("noticetype")
    private String noticetype;

    /**
     * 需要关注
     */
    @TableField("needfollow")
    private Integer needfollow;

    /**
     * 关注事项
     */
    @TableField("followtip")
    private String followtip;

    /**
     * 关注地址
     */
    @TableField("followurl")
    private String followurl;

    @TableField("deduct")
    private BigDecimal deduct;

    /**
     * 虚拟商品模板ID 0 多规格虚拟商品
     */
    @TableField("`virtual`")
    private Integer virtual;

    /**
     * 折扣
     */
    @TableField("discounts")
    private String discounts;

    /**
     * 不执行分销
     */
    @TableField("nocommission")
    private Integer nocommission;

    /**
     * 隐藏分销按钮
     */
    @TableField("hidecommission")
    private Integer hidecommission;

    /**
     * 营销文章ID
     */
    @TableField("artid")
    private Integer artid;

    /**
     * 店铺LOGO
     */
    @TableField("detail_logo")
    private String detailLogo;

    /**
     * 店铺名称
     */
    @TableField("detail_shopname")
    private String detailShopname;

    /**
     * 按钮1名称
     */
    @TableField("detail_btntext1")
    private String detailBtntext1;

    /**
     * 按钮1链接 默认"查看所有商品"及"默认的全部商品连接"
     */
    @TableField("detail_btnurl1")
    private String detailBtnurl1;

    /**
     * 按钮2名称
     */
    @TableField("detail_btntext2")
    private String detailBtntext2;

    /**
     * 按钮2链接 默认"进店逛逛"及"默认的小店或商城连接"
     */
    @TableField("detail_btnurl2")
    private String detailBtnurl2;

    /**
     * 全部宝贝x个
     */
    @TableField("detail_totaltitle")
    private String detailTotaltitle;

    /**
     * 余额抵扣 0 支持全额抵扣 -1 不支持余额抵扣 >0 最多抵扣 元
     */
    @TableField("deduct2")
    private BigDecimal deduct2;

    /**
     * 单品满件包邮 0 : 不支持满件包邮
     */
    @TableField("ednum")
    private Integer ednum;

    /**
     * 单品满额包邮 0 : 不支持满额包邮
     */
    @TableField("edmoney")
    private BigDecimal edmoney;

    /**
     * 不参加满包邮的地区 ，0 : 不支持满件包邮
     */
    @TableField("edareas")
    private String edareas;

    /**
     * 自定义表单类型 0 关闭 1 附加形式 2 替换模式
     */
    @TableField("diyformtype")
    private Boolean diyformtype;

    /**
     * 自定义表单ID
     */
    @TableField("diyformid")
    private Integer diyformid;

    /**
     * 自定义表单模式 0 系统默认 1 点击立即购买时填写 2 确认订单时填写
     */
    @TableField("diymode")
    private Boolean diymode;

    /**
     * 配送类型 0 运费模板 1 统一邮费
     */
    @TableField("dispatchtype")
    private Boolean dispatchtype;

    /**
     * 配送ID
     */
    @TableField("dispatchid")
    private Integer dispatchid;

    /**
     * 统一邮费
     */
    @TableField("dispatchprice")
    private BigDecimal dispatchprice;

    /**
     * 多件累计抵扣积分
     */
    @TableField("manydeduct")
    private Boolean manydeduct;

    /**
     * 短名称 打印需要
     */
    @TableField("shorttitle")
    private String shorttitle;

    /**
     * v2 促销标题
     */
    @TableField("isdiscount_title")
    private String isdiscountTitle;

    /**
     * v2 促销结束时间
     */
    @TableField("isdiscount_time")
    private Integer isdiscountTime;

    /**
     * v2 促销价格 数字为价格 百分数 为折扣
     */
    @TableField("isdiscount_discounts")
    private String isdiscountDiscounts;

    /**
     * v2 分销
     */
    @TableField("commission")
    private String commission;

    /**
     * v2 商户ID
     */
    @TableField("shopid")
    private Integer shopid;

    /**
     * v2 好象无用
     */
    @TableField("allcates")
    private String allcates;

    /**
     * v2 用户单次必须购买数量
     */
    @TableField("minbuy")
    private Integer minbuy;

    /**
     * v2 提供发票
     */
    @TableField("invoice")
    private Integer invoice;

    /**
     * v2 保修
     */
    @TableField("repair")
    private Integer repair;

    /**
     * v2 7天无理由退换
     */
    @TableField("seven")
    private Integer seven;

    /**
     * v2 余额返现
     */
    @TableField("money")
    private String money;

    /**
     * v2 多规格中最小价格，无规格时显示销售价
     */
    @TableField("minprice")
    private BigDecimal minprice;

    /**
     * v2 多规格中最大价格，无规格时显示销售价
     */
    @TableField("maxprice")
    private BigDecimal maxprice;

    /**
     * v2 商品所在省 如为空则显示商城所在
     */
    @TableField("province")
    private String province;

    /**
     * v2 商品所在城市 如为空则显示商城所在
     */
    @TableField("city")
    private String city;

    /**
     * v2 购买后可见 0 关闭 1 开启
     */
    @TableField("buyshow")
    private Boolean buyshow;

    /**
     * v2 购买可见开启后的内容
     */
    @TableField("buycontent")
    private String buycontent;

    /**
     * v2 自动发货 0 否 1 是 ，注：自动发货后，订单自动完成
     */
    @TableField("virtualsend")
    private Boolean virtualsend;

    /**
     * v2 自动发货内容
     */
    @TableField("virtualsendcontent")
    private String virtualsendcontent;

    /**
     * v2 核销类型 0 按订单核销 1 按次核销 2 按消费码核销
     */
    @TableField("verifytype")
    private Boolean verifytype;

    /**
     * v2
     */
    @TableField("diyfields")
    private String diyfields;

    /**
     * v2
     */
    @TableField("diysaveid")
    private Integer diysaveid;

    /**
     * v2
     */
    @TableField("diysave")
    private Boolean diysave;

    /**
     * v2 正品保证
     */
    @TableField("quality")
    private Integer quality;

    /**
     * v2 是否支持拼团 0 否 1 支持
     */
    @TableField("groupstype")
    private Boolean groupstype;

    /**
     * v2 显示库存 0 不显示 1 显示
     */
    @TableField("showtotal")
    private Boolean showtotal;

    /**
     * v2 子标题
     */
    @TableField("subtitle")
    private String subtitle;

    /**
     * v2 分享按钮链接方式 0 弹出关注提示层 1 跳转至商品海报
     */
    @TableField("sharebtn")
    private Boolean sharebtn;

    /**
     * v2 审核状态
     */
    @TableField("checked")
    private Integer checked;

    /**
     * v2 详情页面显示首图 0 不显示 1 显示 注：首图为列表页使用，尺寸较小
     */
    @TableField("thumb_first")
    private Integer thumbFirst;

    /**
     * v2 是否初始化分类信息 标识字段无用
     */
    @TableField("catesinit3")
    private String catesinit3;

    /**
     * v2 是否调整过显示库存 标识字段无用
     */
    @TableField("showtotaladd")
    private Boolean showtotaladd;

    /**
     * v2 手机端使用的价格 0 当前设置促销价格 1 商户设置促销价格
     */
    @TableField("merchsale")
    private Boolean merchsale;

    /**
     * v2 关键词
     */
    @TableField("keywords")
    private String keywords;

    /**
     * v2 抓取产品信息ID
     */
    @TableField("catch_id")
    private String catchId;

    /**
     * v2 抓取产品地址
     */
    @TableField("catch_url")
    private String catchUrl;

    /**
     * v2 抓取产品来源
     */
    @TableField("catch_source")
    private String catchSource;

    /**
     * v2 是否更新过价格 标识字段无用
     */
    @TableField("minpriceupdated")
    private Boolean minpriceupdated;

    /**
     * v2 商品标签
     */
    @TableField("labelname")
    private String labelname;

    /**
     * v2 自动收货 0 系统设置 -1 不自动收货 >0 天数
     */
    @TableField("autoreceive")
    private Integer autoreceive;

    /**
     * v2 不允许退货
     */
    @TableField("cannotrefund")
    private Integer cannotrefund;

    /**
     * v2 砍价
     */
    @TableField("bargain")
    private Integer bargain;

    /**
     * v2 重复购买折扣
     */
    @TableField("buyagain")
    private BigDecimal buyagain;

    /**
     * v2 自定义页面ID
     */
    @TableField("diypage")
    private Integer diypage;

    /**
     * v2 购买一次后,以后都使用这个折扣 0 否 1 是
     */
    @TableField("buyagain_islong")
    private Boolean buyagainIslong;

    /**
     * v2 使用条件 0 付款后 1 完成后
     */
    @TableField("buyagain_condition")
    private Boolean buyagainCondition;

    /**
     * v2 可否使用优惠 （重复购买时,是否与其他优惠共享!其他优惠享受后,再使用这个折扣）
     */
    @TableField("buyagain_sale")
    private Boolean buyagainSale;

    /**
     * v2 复购分销
     */
    @TableField("buyagain_commission")
    private String buyagainCommission;

    @TableField("jd_vop_sku")
    private Long jdVopSku;

    /**
     * jd_vop_page_num
     */
    @TableField("jd_vop_page_num")
    private String jdVopPageNum;

    /**
     * old_shop_goods_id
     */
    @TableField("old_shop_goods_id")
    private Integer oldShopGoodsId;

    /**
     * 建立时间
     */
    @TableField("createtime")
    private Integer createtime;

    /**
     * 更新时间
     */
    @TableField("updatetime")
    private Integer updatetime;

    /**
     * 是否删除
     */
    @TableField("deleted")
    private Integer deleted;

    /**
     * synctime_jd_vop_price
     */
    @TableField("synctime_jd_vop_price")
    private Integer synctimeJdVopPrice;

    /**
     * 0：没有规格或为主商品，显示   1：多规格且为复制商品，不显示
     */
    @TableField("copyspecs")
    private Boolean copyspecs;

    /**
     * 运营商id
     */
    @TableField("operators_id")
    private Integer operatorsId;

    /**
     * 税率 %
     */
    @TableField("tax_rate")
    private BigDecimal taxRate;

    /**
     * 是否为心意商品，0：否，1：是
     */
    @TableField("is_favorite_goods")
    private Integer isFavoriteGoods;

    /**
     * 商户税率
     */
    @TableField("merch_tax_rate")
    private BigDecimal merchTaxRate;

    /**
     * 商户税务编码
     */
    @TableField("merch_tax_code")
    private String merchTaxCode;

    /**
     * 商户关联税务分类
     */
    @TableField("merch_tax_id")
    private Integer merchTaxId;

    /**
     * 平台税率
     */
    @TableField("operation_tax_rate")
    private BigDecimal operationTaxRate;

    /**
     * 平台税务编码
     */
    @TableField("operation_tax_code")
    private String operationTaxCode;

    /**
     * 平台关联税务分类
     */
    @TableField("operation_tax_id")
    private Integer operationTaxId;

    @TableField("self_option")
    private String selfOption;

    /**
     * 到家汇商品编号
     */
    @TableField("djh_vop_sku")
    private String djhVopSku;

    /**
     * 限制区域发货
     */
    @TableField("limit_area")
    private String limitArea;

    /**
     * 发货时效，单位小时
     */
    @TableField("delivery_time")
    private String deliveryTime;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
