package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_merch_user")
public class FlscShopMerchUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    /**
     * 商户注册ID
     */
    @TableField("regid")
    private Integer regid;

    /**
     * 商户分组ID
     */
    @TableField("groupid")
    private Integer groupid;

    /**
     * 商户分类ID
     */
    @TableField("cateid")
    private Integer cateid;

    @TableField("openid")
    private String openid;

    /**
     * 商户编号
     */
    @TableField("merchno")
    private String merchno;

    /**
     * 商户名
     */
    @TableField("merchname")
    private String merchname;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 销售类别
     */
    @TableField("salecate")
    private String salecate;

    /**
     * 实名
     */
    @TableField("realname")
    private String realname;

    /**
     * 手机号
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 状态 1 允许入驻 2 暂停 3 即将到期
     */
    @TableField("status")
    private Integer status;

    /**
     * 帐号表ID
     */
    @TableField("accountid")
    private Integer accountid;

    /**
     * 可以开多少子帐号
     */
    @TableField("accounttotal")
    private Integer accounttotal;

    /**
     * 服务时间，默认1年
     */
    @TableField("accounttime")
    private Integer accounttime;

    /**
     * 审核时间
     */
    @TableField("applytime")
    private Integer applytime;

    /**
     * 加入时间
     */
    @TableField("jointime")
    private Integer jointime;

    /**
     * 自定义数据
     */
    @TableField("diyformdata")
    private String diyformdata;

    /**
     * 自定义字段
     */
    @TableField("diyformfields")
    private String diyformfields;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 商家基础设置
     */
    @TableField("sets")
    private String sets;

    /**
     * 收款人openid
     */
    @TableField("payopenid")
    private String payopenid;

    /**
     * 抽成利率
     */
    @TableField("payrate")
    private BigDecimal payrate;

    /**
     * 电话
     */
    @TableField("tel")
    private String tel;

    /**
     * 经度
     */
    @TableField("lat")
    private String lat;

    /**
     * 标志
     */
    @TableField("logo")
    private String logo;

    /**
     * 纬度
     */
    @TableField("lng")
    private String lng;

    /**
     * 介绍
     */
    @TableField("`desc`")
    private String desc;

    /**
     * 是否推荐
     */
    @TableField("isrecommand")
    private Boolean isrecommand;

    /**
     * 是否默认对所有商户和客户可见(0:否,1:是)
     */
    @TableField("is_default_see")
    private Boolean isDefaultSee;

    /**
     * 店铺名称(显示在前端)
     */
    @TableField("storename")
    private String storename;

    /**
     * 添加时间
     */
    @TableField("createtime")
    private Integer createtime;

    /**
     * 更新时间
     */
    @TableField("updatetime")
    private Integer updatetime;

    @TableField("operators_id")
    private Integer operatorsId;

    // /**
    //  * 税率 %
    //  */
    // @TableField("tax_rate")
    // private BigDecimal taxRate;

    /**
     * 商户调查表附件列表
     */
    @TableField("examine_file")
    private String examineFile;

    /**
     * 营业执照
     */
    @TableField("business_license")
    private String businessLicense;

    /**
     * 开户名称
     */
    @TableField("bank_company_name")
    private String bankCompanyName;

    /**
     * 开户行
     */
    @TableField("bank_name")
    private String bankName;

    /**
     * 银行账号
     */
    @TableField("bank_account")
    private String bankAccount;

    /**
     * 默认排序值，用于xx商户的商品默认排序值（主要是在一键重置时使用）
     */
    @TableField("default_goods_sort")
    private Integer defaultGoodsSort;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
