package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_order_goods")
public class FlscShopOrderGoods implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    /**
     * parent_order_id
     */
    @TableField("parent_order_id")
    private Integer parentOrderId;

    @TableField("orderid")
    private Integer orderid;

    @TableField("goodsid")
    private Integer goodsid;

    @TableField("price")
    private BigDecimal price;

    @TableField("total")
    private Integer total;

    @TableField("optionid")
    private Integer optionid;

    @TableField("createtime")
    private Integer createtime;

    @TableField("optionname")
    private String optionname;

    @TableField("commission1")
    private String commission1;

    @TableField("applytime1")
    private Integer applytime1;

    @TableField("checktime1")
    private Integer checktime1;

    @TableField("paytime1")
    private Integer paytime1;

    @TableField("invalidtime1")
    private Integer invalidtime1;

    @TableField("deletetime1")
    private Integer deletetime1;

    @TableField("status1")
    private Integer status1;

    @TableField("content1")
    private String content1;

    @TableField("commission2")
    private String commission2;

    @TableField("applytime2")
    private Integer applytime2;

    @TableField("checktime2")
    private Integer checktime2;

    @TableField("paytime2")
    private Integer paytime2;

    @TableField("invalidtime2")
    private Integer invalidtime2;

    @TableField("deletetime2")
    private Integer deletetime2;

    @TableField("status2")
    private Integer status2;

    @TableField("content2")
    private String content2;

    @TableField("commission3")
    private String commission3;

    @TableField("applytime3")
    private Integer applytime3;

    @TableField("checktime3")
    private Integer checktime3;

    @TableField("paytime3")
    private Integer paytime3;

    @TableField("invalidtime3")
    private Integer invalidtime3;

    @TableField("deletetime3")
    private Integer deletetime3;

    @TableField("status3")
    private Integer status3;

    @TableField("content3")
    private String content3;

    @TableField("realprice")
    private BigDecimal realprice;

    @TableField("goodssn")
    private String goodssn;

    @TableField("productsn")
    private String productsn;

    @TableField("nocommission")
    private Integer nocommission;

    @TableField("changeprice")
    private BigDecimal changeprice;

    @TableField("oldprice")
    private BigDecimal oldprice;

    @TableField("commissions")
    private String commissions;

    @TableField("diyformdata")
    private String diyformdata;

    @TableField("diyformfields")
    private String diyformfields;

    @TableField("diyformdataid")
    private Integer diyformdataid;

    @TableField("openid")
    private String openid;

    @TableField("diyformid")
    private Integer diyformid;

    @TableField("rstate")
    private Integer rstate;

    @TableField("refundtime")
    private Integer refundtime;

    @TableField("printstate")
    private Integer printstate;

    @TableField("printstate2")
    private Integer printstate2;

    @TableField("merchid")
    private Integer merchid;

    @TableField("parentorderid")
    private Integer parentorderid;

    @TableField("merchsale")
    private Integer merchsale;

    @TableField("isdiscountprice")
    private BigDecimal isdiscountprice;

    @TableField("canbuyagain")
    private Boolean canbuyagain;

    /**
     * 京东退货数量
     */
    @TableField("return_goods_nun")
    private Integer returnGoodsNun;

    /**
     * 京东退货信息
     */
    @TableField("return_goods_result")
    private String returnGoodsResult;

    /**
     * 退款id
     */
    @TableField("refundid")
    private Integer refundid;

    /**
     * 退款状态(对应order_refund表的status)
     */
    @TableField("refund_status")
    private Integer refundStatus;

    /**
     * 商品购买时的成本价
     */
    @TableField("costprice")
    private BigDecimal costprice;

    /**
     * 成本价或运营商协议价
     */
    @TableField("costprice_real")
    private BigDecimal costpriceReal;

    /**
     * 商品静态化(即整个商品序列化丢进来)
     */
    @TableField("goods_static")
    private String goodsStatic;

    /**
     * 分类企业折扣
     */
    @TableField("category_enterprise_discount")
    private BigDecimal categoryEnterpriseDiscount;

    /**
     * 运营商id
     */
    @TableField("operators_id")
    private Integer operatorsId;

    /**
     * 商户税率
     */
    @TableField("merch_tax_rate")
    private BigDecimal merchTaxRate;

    /**
     * 商户税务编码
     */
    @TableField("merch_tax_code")
    private String merchTaxCode;

    /**
     * 平台税率
     */
    @TableField("operation_tax_rate")
    private BigDecimal operationTaxRate;

    /**
     * 平台税务编码
     */
    @TableField("operation_tax_code")
    private String operationTaxCode;

    /**
     * 是否为邀请有礼特惠商品，0：否，1：是
     */
    @TableField("is_invite_tehui_goods")
    private Integer isInviteTehuiGoods;

    /**
     * 秒杀id
     */
    @TableField("seckill_id")
    private Integer seckillId;

    /**
     * 商品原单价（市场价、吊牌价）
     */
    @TableField("productprice")
    private BigDecimal productprice;


    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;

    /**
     * 销售单价
     */
    @TableField("marketprice")
    private BigDecimal marketPrice;

    /**
     * 单个商品实际支付金额
     */
    @TableField("new_realprice")
    private BigDecimal newRealPrice;

    /**
     * 商品实际支付总金额
     */
    @TableField("new_realprice_total")
    private BigDecimal newRealPriceTotal;

}
