package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_order_refund")
public class FlscShopOrderRefund implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    /**
     * 订单ID
     */
    @TableField("orderid")
    private Integer orderid;

    /**
     * 售后单号
     */
    @TableField("refundno")
    private String refundno;

    /**
     * 价格
     */
    @TableField("price")
    private String price;

    /**
     * 原因
     */
    @TableField("reason")
    private String reason;

    /**
     * 图片
     */
    @TableField("images")
    private String images;

    /**
     * 退款申请时用户填写说明
     */
    @TableField("content")
    private String content;

    /**
     * 建立时间
     */
    @TableField("createtime")
    private Integer createtime;

    /**
     * 状态，2 客户取消、-1 已拒绝、0 等待商家处理申请、1 完成、3 等待客户退回物品、4 客户退回物品，等待商家确认收货、5 等待客户收货
     */
    @TableField("status")
    private Integer status;

    /**
     * 回复
     */
    @TableField("reply")
    private String reply;

    /**
     * 类型 0 退回帐户余额 1 退款和退余额混合 2 整单退款 3 *部分退款
     */
    @TableField("refundtype")
    private Integer refundtype;

    /**
     * 实际价格
     */
    @TableField("realprice")
    private BigDecimal realprice;

    /**
     * 退款时间
     */
    @TableField("refundtime")
    private Integer refundtime;

    /**
     * 订单金额
     */
    @TableField("orderprice")
    private BigDecimal orderprice;

    /**
     * 申请退款金额
     */
    @TableField("applyprice")
    private BigDecimal applyprice;

    /**
     * 退款申请时上传凭证
     */
    @TableField("imgs")
    private String imgs;

    /**
     * 类型(0 退货 1 换货 2 维修 3 退货退款)
     */
    @TableField("rtype")
    private Integer rtype;

    /**
     * 退换货地址
     */
    @TableField("refundaddress")
    private String refundaddress;

    /**
     * 卖家留言
     */
    @TableField("message")
    private String message;

    /**
     * 快递简称
     */
    @TableField("express")
    private String express;

    /**
     * 快递公司
     */
    @TableField("expresscom")
    private String expresscom;

    /**
     * 快递单号
     */
    @TableField("expresssn")
    private String expresssn;

    /**
     * 操作时间
     */
    @TableField("operatetime")
    private Integer operatetime;

    /**
     * 发货时间
     */
    @TableField("sendtime")
    private Integer sendtime;

    /**
     * 返回时间
     */
    @TableField("returntime")
    private Integer returntime;

    /**
     * 退货快递简称
     */
    @TableField("rexpress")
    private String rexpress;

    /**
     * 退货快递公司
     */
    @TableField("rexpresscom")
    private String rexpresscom;

    /**
     * 退货快递单号
     */
    @TableField("rexpresssn")
    private String rexpresssn;

    /**
     * 退换货地址ID
     */
    @TableField("refundaddressid")
    private Integer refundaddressid;

    /**
     * 结束时间
     */
    @TableField("endtime")
    private Integer endtime;

    /**
     * 商户ID
     */
    @TableField("merchid")
    private Integer merchid;

    /**
     * 订单商品id(对应shop_order_goods表)
     */
    @TableField("order_goods_id")
    private Integer orderGoodsId;

    /**
     * 退货数量
     */
    @TableField("refund_total")
    private Integer refundTotal;

    /**
     * 第三方售后编号
     */
    @TableField("thirdRefundNo")
    private String thirdrefundno;

    /**
     * 运营商id
     */
    @TableField("operators_id")
    private Integer operatorsId;

    /**
     * ims_superdesk_sam_refund_order id
     */
    @TableField("sam_refund_id")
    private Integer samRefundId;

    /**
     * 退货人地址id，ims_superdesk_shop_member_address id
     */
    @TableField("address_id")
    private Integer addressId;

    /**
     * 取货时间，格式：yyyy-MM-dd HH:mm:ss
     */
    @TableField("pickUpTime")
    private String pickuptime;

    /**
     * 退货方式，2:物流取货
     */
    @TableField("returnMethod")
    private Integer returnmethod;

    /**
     * 上门取件地址
     */
    @TableField("address_info")
    private String addressInfo;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;

    /**
     * 售后退运费
     */
    @TableField("refund_dispatchprice")
    private BigDecimal refundDispatchprice;


}
