package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_third_order_pay")
public class FlscShopThirdOrderPay implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("openid")
    private String openid;

    /**
     * 订单编号
     */
    @TableField("ordersn")
    private String ordersn;

    /**
     * 订单金额
     */
    @TableField("price")
    private BigDecimal price;

    /**
     * 状态(0:失败;1:成功)
     */
    @TableField("status")
    private Integer status;

    /**
     * 错误信息
     */
    @TableField("message")
    private String message;

    @TableField("createtime")
    private Integer createtime;

    /**
     * 更新时间
     */
    @TableField("updatetime")
    private Integer updatetime;

    /**
     * 来源
     */
    @TableField("source_from")
    private String sourceFrom;

    /**
     * 第三方订单号
     */
    @TableField("third_ordersn")
    private String thirdOrdersn;

    /**
     * 组合支付中使用的余额
     */
    @TableField("comb_pay_credit")
    private BigDecimal combPayCredit;

    /**
     * 是否楼宇之窗微信支付
     */
    @TableField("is_build_window_pay")
    private Integer isBuildWindowPay;

    /**
     * 组合支付总单id
     */
    @TableField("bw_pay_order_id")
    private Integer bwPayOrderId;

    /**
     * 支付类型(1:余额,21:微信,24:组合)
     */
    @TableField("paytype")
    private Integer paytype;

    /**
     * 支付时间
     */
    @TableField("paytime")
    private Integer paytime;

    /**
     * 跳转URL
     */
    @TableField("return_url")
    private String returnUrl;

    /**
     * 回调URL
     */
    @TableField("callback_url")
    private String callbackUrl;

    /**
     * ip地址
     */
    @TableField("create_ip")
    private String createIp;

    /**
     * 运营商id
     */
    @TableField("operators_id")
    private Integer operatorsId;

    /**
     * 下单时的企业名称
     */
    @TableField("member_enterprise_name")
    private String memberEnterpriseName;

    /**
     * 下单时的企业id
     */
    @TableField("member_enterprise_id")
    private Integer memberEnterpriseId;

    /**
     * 下单时的项目id
     */
    @TableField("member_organization_id")
    private Integer memberOrganizationId;

    /**
     * 商户ID
     */
    @TableField("merchid")
    private Integer merchid;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
