package cn.superdesk.data.extract.entity.opCenter;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运营中心-平台支付方式-业务方支付方式映射关系表
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_operation_center_payment_biz")
public class OperationCenterPaymentBiz implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 平台支付方式id
     */
    @TableField("payment_id")
    private Long paymentId;

    /**
     * 业务平台编码
     */
    @TableField("biz_platform_code")
    private String bizPlatformCode;

    /**
     * 业务平台名称
     */
    @TableField("biz_platform_name")
    private String bizPlatformName;

    /**
     * 业务方支付方式id
     */
    @TableField("biz_pay_type_id")
    private String bizPayTypeId;

    /**
     * 业务方支付方式名称
     */
    @TableField("biz_pay_type_name")
    private String bizPayTypeName;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField("create_user")
    private Long createUser;


}
