package cn.superdesk.data.extract.entity.opCenter;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运营中心-订单结算金额&订单商品结算单价、总价取值策略
 * </p>
 *
 * @author storyxc
 * @since 2023-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_operation_center_settlement_strategy")
public class OperationCenterSettlementStrategy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 策略名称
     */
    @TableField("name")
    private String name;

    /**
     * 订单结算金额取值策略
     */
    @TableField("order_settlement_amount")
    private Integer orderSettlementAmount;

    /**
     * 订单商品结算单价取值策略
     */
    @TableField("order_goods_settlement_unit_price")
    private Integer orderGoodsSettlementUnitPrice;

    /**
     * 订单商品结算总价取值策略
     */
    @TableField("order_goods_settlement_total_price")
    private Integer orderGoodsSettlementTotalPrice;

    /**
     * 是否默认规则
     */
    @TableField("is_default")
    private Integer isDefault;

    /**
     * 规则创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 规则创建人id
     */
    @TableField("create_user_id")
    private Long createUserId;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField("update_user_id")
    private Long updateUserId;

    /**
     * 是否删除 0-否 1-是
     */
    @TableField("deleted")
    private Boolean deleted;

    /**
     * 是否启用 0-否 1-是
     */
    @TableField("enabled")
    private Boolean enabled;


}
