package cn.superdesk.data.extract.entity.opCenter;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 业务数据同步异常记录表
 * </p>
 *
 * @author storyxc
 * @since 2023-03-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_operation_data_sync_error_record")
@Builder
public class OperationDataSyncErrorRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 同步类型
     */
    @TableField("sync_type")
    private String syncType;

    /**
     * 业务平台名称
     */
    @TableField("biz_platform_name")
    private String bizPlatformName;

    /**
     * 业务平台编码
     */
    @TableField("biz_platform_code")
    private String bizPlatformCode;

    /**
     * 唯一标识
     */
    @TableField("main_param")
    private String mainParam;

    /**
     * 订单编号
     */
    @TableField("order_sn")
    private String orderSn;

    /**
     * 订单商品id
     */
    @TableField("order_goods_id")
    private String orderGoodsId;

    /**
     * 订单流水id
     */
    @TableField("order_transaction_id")
    private String orderTransactionId;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;

    /**
     * 问题错误描述/exception堆栈信息
     */
    @TableField("err_msg")
    private String errMsg;

    /**
     * 异常数据留存
     */
    @TableField("retention_data")
    private String retentionData;

    /**
     * 处理状态 0-未处理 1-已处理 2-忽略
     */
    @TableField("handle_status")
    private Integer handleStatus;

    /**
     * 处理结果描述
     */
    @TableField("handle_remark")
    private String handleRemark;

    /**
     * 处理人
     */
    @TableField("update_user_id")
    private Long updateUserId;

    /**
     * 处理时间
     */
    @TableField("update_time")
    private Date updateTime;


}
