import com.baomidou.mybatisplus.annotation.DbType;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.*;
import com.baomidou.mybatisplus.generator.config.rules.DateType;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

// 执行 main 方法，控制台输入模块表名，回车自动生成对应项目目录中
public class MybatisPlusCodeGenerator {

    public static void main(String[] args) {
        //====================配置变量区域=====================//
        String author = "storyxc";// 生成文件的作者，可以不填
        String rootPackage = "cn.superdesk.data.extract";// 生成的entity、controller、service等包所在的公共上一级包路径全限定名
        String moduleName = "superdesk-data-extract-dao";
        // 数据库配置
        // String url="jdbc:mysql://112.74.48.214:53307/uniorder_test_20211018?useUnicode=true&characterEncoding=UTF-8&useSSL=false";
        String url = "jdbc:mysql://127.0.0.1:3306/order_test?useUnicode=true&characterEncoding=UTF-8&useSSL=false";
        String driverClassName = "com.mysql.cj.jdbc.Driver";// 或者com.mysql.cj.jdbc.Driver
        String username = "root";
        // String password="service_newbak2019";
        String password = "root";
        // String[] tableNames= new String[]{"flsc_jd_vop_order_submit_order","flsc_qtyx_order_submit_order","flsc_shop_brand","flsc_shop_brand_goods","flsc_shop_category","flsc_shop_coupon","flsc_shop_dispatch","flsc_shop_enterprise_user","flsc_shop_goods","flsc_shop_member","flsc_shop_merch_user","flsc_shop_operators_user","flsc_shop_order","flsc_shop_order_goods","flsc_shop_order_refund","flsc_shop_third_order_pay","flsc_shop_third_order_refund","tb_operation_center_order","tb_operation_center_order_goods"};//表名，多个使用,分隔
        // String[] tableNames = new String[]{"tb_operation_center_payment","tb_operation_center_payment_biz","tb_operation_center_payment_operator","tb_operator_center_operators"};
        // String[] tableNames = new String[]{"tb_operation_center_operator_settlement_strategy","tb_operation_center_settlement_strategy"};
        // String[] tableNames = new String[]{"tb_operation_data_sync_error_record"};
        String[] tableNames = new String[]{"tb_operation_center_order_transaction_log"};
        //====================配置变量区域=====================//
        String[] tablePrefix = new String[]{"tb_"};
        // 代码生成器
        AutoGenerator generator = new AutoGenerator();
        // 全局配置
        GlobalConfig globalConfig = new GlobalConfig();
        String projectPath = System.getProperty("user.dir");
        globalConfig.setOutputDir(projectPath + "/" + moduleName + "/src/main/java");
        globalConfig.setFileOverride(true);// 是否覆盖已有文件，默认false
        globalConfig.setOpen(false);// 是否打开输出目录
        globalConfig.setAuthor(author);
        globalConfig.setServiceName("%sService");// 去掉service接口的首字母I
        globalConfig.setBaseResultMap(true);// 开启 BaseResultMap
        globalConfig.setDateType(DateType.ONLY_DATE);// 只使用 java.util.date代替
        globalConfig.setIdType(IdType.ASSIGN_ID);// 分配ID (主键类型为number或string）
        generator.setGlobalConfig(globalConfig);

        // 数据源配置
        DataSourceConfig dataSourceConfig = new DataSourceConfig();
        dataSourceConfig.setUrl(url);
        dataSourceConfig.setDbType(DbType.MYSQL);// 数据库类型
        dataSourceConfig.setDriverName(driverClassName);
        dataSourceConfig.setUsername(username);
        dataSourceConfig.setPassword(password);
        generator.setDataSource(dataSourceConfig);

        // 包配置
        PackageConfig packageConfig = new PackageConfig();
        // packageConfig.setModuleName(scanner("模块名"));
        packageConfig.setParent(rootPackage);// 例：org.jeecg.modules.xqxy
        generator.setPackageInfo(packageConfig);

        // 注意：模板引擎在mybatisplus依赖中的templates目录下，可以依照此默认模板进行自定义

        // 策略配置：配置根据哪张表生成代码
        StrategyConfig strategy = new StrategyConfig();
        strategy.setInclude(tableNames);// 表名，多个英文逗号分割（与exclude二选一配置）
        strategy.setNaming(NamingStrategy.underline_to_camel);
        strategy.setColumnNaming(NamingStrategy.underline_to_camel);
        // strategy.setSuperEntityClass("你自己的父类实体,没有就不用设置!");
        strategy.setEntityLombokModel(true);// lombok模型，@Accessors(chain = true)setter链式操作
        strategy.setRestControllerStyle(false);// controller生成@RestController
        strategy.setEntityTableFieldAnnotationEnable(true);// 是否生成实体时，生成字段注解
        strategy.setTablePrefix(tablePrefix);// 生成实体时去掉表前缀

        TemplateConfig templateConfig = new TemplateConfig();
        templateConfig.setController("");

        generator.setStrategy(strategy);
        generator.setTemplateEngine(new FreemarkerTemplateEngine());
        generator.setTemplate(templateConfig);
        generator.execute();
    }

}