package cn.superdesk.data.extract.service.flsc;

import cn.superdesk.data.extract.entity.flsc.FlscShopOrder;
import cn.superdesk.data.extract.entity.flsc.FlscShopOrderRefund;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrder;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrderGoods;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
public interface FlscShopOrderRefundService extends IService<FlscShopOrderRefund> {

    /**
     * 全量处理福利商城退单
     */
    void handleAllRefundOrder();

    /**
     * 根据福利商城退单构建运营中心退单数据
     *
     * @param flscShopOrderRefund 退单
     * @param flscShopOrder       正单
     * @return
     */
    OperationCenterOrder buildOpCenterOrderFromFlscRefundOrder(FlscShopOrderRefund flscShopOrderRefund, FlscShopOrder flscShopOrder);

    /**
     * 根据福利商城退单构建运营中心退单商品数据
     *
     * @param flscShopOrderRefund        福利商城退单
     * @param operationCenterRefundOrder 运营中心退单
     * @param flscShopOrder              正单
     * @return
     */
    OperationCenterOrderGoods buildOperationCenterRefundOrderGoods(FlscShopOrderRefund flscShopOrderRefund, OperationCenterOrder operationCenterRefundOrder, FlscShopOrder flscShopOrder);

    /**
     * 根据福利商城退单构建运营中心退单退运费商品
     *
     * @param flscShopOrderRefund
     * @param operationCenterRefundOrder
     * @param flscShopOrder
     * @return
     */
    OperationCenterOrderGoods buildOperationCenterRefundOrderGoodsDispatch(FlscShopOrderRefund flscShopOrderRefund, OperationCenterOrder operationCenterRefundOrder, FlscShopOrder flscShopOrder);
}
